package com.xueyi.system.digitalmans.manager;

import com.xueyi.system.digitalmans.domain.dto.DmReceptionDto;
import com.xueyi.system.digitalmans.domain.merge.DmReceptionVisitorMerge;
import com.xueyi.system.digitalmans.domain.query.DmReceptionQuery;
import com.xueyi.common.web.entity.manager.IBaseManager;

import java.util.List;

/**
 * 接待模式管理管理 数据封装层
 *
 * @author yinruoxi
 */
public interface IDmReceptionManager extends IBaseManager<DmReceptionQuery, DmReceptionDto> {

    void addDeceptionVisitorMerge(Long receptionId, Long[][] visitorIds);

    void editReceptionVisitorMerge(Long receptionId, Long[][] visitorIds);

    List<DmReceptionVisitorMerge> selectDeceptionVisitorMerge(Long receptionId);

    List<DmReceptionDto> selectReceptionTaskOpenStatus();
}